summaryrefslogtreecommitdiff
path: root/debian/anastasis-httpd.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/anastasis-httpd.postinst')
-rw-r--r--debian/anastasis-httpd.postinst38
1 files changed, 22 insertions, 16 deletions
diff --git a/debian/anastasis-httpd.postinst b/debian/anastasis-httpd.postinst
index 994b06b..1dd41f4 100644
--- a/debian/anastasis-httpd.postinst
+++ b/debian/anastasis-httpd.postinst
@@ -2,37 +2,43 @@
set -e
-TALER_HOME="/var/lib/taler/"
+if [ -d /run/systemd/system ]; then
+ systemctl --system daemon-reload >/dev/null || true
+fi
+if [ "$1" = "remove" ]; then
+ if [ -x "/usr/bin/deb-systemd-helper" ]; then
+ deb-systemd-helper mask 'anastasis-httpd.service' >/dev/null || true
+ fi
+fi
+
+if [ "$1" = "purge" ]; then
+ if [ -x "/usr/bin/deb-systemd-helper" ]; then
+ deb-systemd-helper purge 'anastasis-httpd.service' >/dev/null || true
+ deb-systemd-helper unmask 'anastasis-httpd.service' >/dev/null || true
+ fi
+fi
+
+ANASTASIS_HOME="/var/lib/anastasis/"
_USERNAME=anastasis-httpd
_GROUPNAME=www-data
-# Set permissions for sqlite3 file
-# (for when we support sqlite3 in the future)
-dbc_dbfile_owner="${_USERNAME}:${_GROUPNAME}"
-dbc_dbfile_perms="0600"
-
. /usr/share/debconf/confmodule
case "${1}" in
configure)
# Creating taler users if needed
- if ! getent passwd ${_USERNAME} >/dev/null; then
- adduser --quiet --system --ingroup ${_GROUPNAME} --no-create-home --home ${TALER_HOME} ${_USERNAME}
+ if ! getent passwd ${_USERNAME} >/dev/null
+ then
+ adduser --quiet --system --ingroup ${_GROUPNAME} --no-create-home --home ${ANASTASIS_HOME} ${_USERNAME}
fi
- if ! dpkg-statoverride --list /etc/anastasis/secrets/anastasis-db.secret.conf >/dev/null 2>&1; then
+ if ! dpkg-statoverride --list /etc/anastasis/secrets/anastasis-db.secret.conf >/dev/null 2>&1
+ then
dpkg-statoverride --add --update \
anastasis-httpd root 460 \
/etc/anastasis/secrets/anastasis-db.secret.conf
fi
- # Setup postgres database (needs dbconfig-pgsql package)
- if [ -f /usr/share/dbconfig-common/dpkg/postinst.pgsql ]; then
- . /usr/share/dbconfig-common/dpkg/postinst.pgsql
- dbc_pgsql_createdb_encoding="UTF8"
- dbc_go anastasis-httpd "$@"
- fi
-
;;
abort-upgrade | abort-remove | abort-deconfigure) ;;